'use strict';

// ** Dependencies
const EventEmitter = require('../../lib/events');

// Create Event Emitter
const events = new EventEmitter();

events.onAny((event, data) => {
    console.log('ANY', {
        event: event,
        data: data
    });
});

events.on('one', data => console.log('ONE', data));

events.emit('one', 1);
events.emit('one-two', 1, 2, 3);
events.emit('one-two-three', 1, 2, 3);